CREATE TABLE hz_imp_hierarchy_nodes (
    BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    ACTION_CODE                  VARCHAR2(120),
    AS_OF_DATE                   DATE         ,
    IMPORT_STATUS_CODE           VARCHAR2(120),
    INTERFACE_ROW_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                   VARCHAR2(256),
    CREATION_DATE                TIMESTAMP(6) ,
    LAST_UPDATED_BY              VARCHAR2(256),
    LAST_UPDATE_DATE             TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    REQUEST_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ACTION_FLAG                  VARCHAR2(4)  ,
    INTERFACE_STATUS             VARCHAR2(120),
    INSERT_UPDATE_FLAG           VARCHAR2(4)  ,
    ERROR_ID                     NUMBER(18, 0),
    TREE_STRUCTURE_CODE          VARCHAR2(120),
    TREE_CODE                    VARCHAR2(120),
    TREE_VERSION_ID              VARCHAR2(128),
    TREE_NODE_ID                 VARCHAR2(128),
    DATA_SOURCE_ID               VARCHAR2(128),
    PARTY_ORIG_SYSTEM            VARCHAR2(120),
    PARTY_ORIG_SYS_REF           VARCHAR2(960),
    PARTY_ID                     NUMBER(18, 0),
    PARENT_PARTY_ID              NUMBER(18, 0),
    PARENT_PARTY_ORIG_SYSTEM     VARCHAR2(120),
    PARENT_PARTY_ORIG_SYS_REF    VARCHAR2(960),
    LABEL_SHORT_NAME             VARCHAR2(320),
    TREE_LABEL_ID                VARCHAR2(128),
    PARENT_TREE_NODE_ID          VARCHAR2(128),
    FILE_RECORD_NUM              NUMBER(10, 0),
    FILE_NAME_SYSTASK_ID         NUMBER(18, 0),
    PARTY_NUMBER                 VARCHAR2(120),
    PARENT_PARTY_NUMBER          VARCHAR2(120),
    BATCH_ID                     NUMBER(18, 0)    NOT NULL,
    ACTION_CODE                  VARCHAR2(120),
    AS_OF_DATE                   DATE         ,
    IMPORT_STATUS_CODE           VARCHAR2(120),
    INTERFACE_ROW_ID             NUMBER(18, 0)    NOT NULL,
    CREATED_BY                   VARCHAR2(256),
    CREATION_DATE                TIMESTAMP(6) ,
    LAST_UPDATED_BY              VARCHAR2(256),
    LAST_UPDATE_DATE             TIMESTAMP(6) ,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    REQUEST_ID                   NUMBER(18, 0),
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    ACTION_FLAG                  VARCHAR2(4)  ,
    INTERFACE_STATUS             VARCHAR2(120),
    INSERT_UPDATE_FLAG           VARCHAR2(4)  ,
    ERROR_ID                     NUMBER(18, 0),
    TREE_STRUCTURE_CODE          VARCHAR2(120),
    TREE_CODE                    VARCHAR2(120),
    TREE_VERSION_ID              VARCHAR2(128),
    TREE_NODE_ID                 VARCHAR2(128),
    DATA_SOURCE_ID               VARCHAR2(128),
    PARTY_ORIG_SYSTEM            VARCHAR2(120),
    PARTY_ORIG_SYS_REF           VARCHAR2(960),
    PARTY_ID                     NUMBER(18, 0),
    PARENT_PARTY_ID              NUMBER(18, 0),
    PARENT_PARTY_ORIG_SYSTEM     VARCHAR2(120),
    PARENT_PARTY_ORIG_SYS_REF    VARCHAR2(960),
    LABEL_SHORT_NAME             VARCHAR2(320),
    TREE_LABEL_ID                VARCHAR2(128),
    PARENT_TREE_NODE_ID          VARCHAR2(128),
    FILE_RECORD_NUM              NUMBER(10, 0),
    FILE_NAME_SYSTASK_ID         NUMBER(18, 0),
    PARTY_NUMBER                 VARCHAR2(120),
    PARENT_PARTY_NUMBER          VARCHAR2(120)
);
